<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	$id_podf=$_GET['id'];
	$t1 = mysql_query("SELECT * FROM `forum_podf` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."'");
	$t = mysql_fetch_array($t1);
	div('<a href="index.php">Форум</a> | <a href="themelist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['name']))))))).'</a> | Новая тема','top');
	echo '<div class="conts">';
	if(!$_POST)
	{
	
			echo '<form action="" method="POST">';
			echo 'Название темы (max.100):<br /><input type="text" value="" name="name" /><br />Текст сообщения (max.1000):<br /><input type="text" value="" name="text" /><br />';
			echo '<input type="submit" name="submit" value="Создать"/></form>';
	}
	else
	{
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
			$name = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['name'])))))));
			$lasttheme=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_theme` WHERE `name`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($name)))))))."';"), 0);
			$maxtheme=mysql_result(mysql_query("SELECT MAX(id) FROM `forum_theme`;"), 0);
			$maxtheme=$maxtheme+1;
		$error = false;
		
		if (empty($name))
			$error = $error . 'Не введено название темы<br/>';
		elseif (mb_strlen($name) > 100)
			$error = $error . 'Слишком длинное название темы!<br />';
		elseif (mb_strlen($name) < 2)
			$error = $error . 'Слишком короткое название темы!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$name))
			$error = $error . 'Недопустимые символы в тексте<br />';
		
		if (empty($text))
			$error = $error . 'Не введен текст<br/>';
		elseif (strlen($text) > 1000)
			$error = $error . 'Слишком длинное сообщение!<br />';
		elseif (strlen($text) < 2)
			$error = $error . 'Слишком короткое сообщение!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$text))
			$error = $error . 'Недопустимые символы в тексте<br />';
		
		if($lasttheme > 0)
			$error = $error . 'Такая тема уже существует<br/>';
		if ($level == 0)
			$error = $error . 'Вы не авторизированны<br />';	
			
	  		if (empty($error))
		{
			mysql_query("INSERT INTO `forum_theme` SET
						`id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($maxtheme)))))))."',
			            `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."',
						`id_podf`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."',
						`time`='".time()."',
						`lasttime`='".time()."',
						`name`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($name)))))))."',
						`msgs`=1;");
						
			mysql_query("INSERT INTO `forum_posts` SET
			            `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."',
						`time`='" . time() . "',
						`id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($maxtheme)))))))."',
			            `text`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."';");
						
			mysql_query("UPDATE `forum_podf` SET `themes`=themes+1 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."';");
			header("Location: themelist.php?id=".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."");

		}
		else
		{
			echo ''.$error.'';
		}
	}
	echo '<a href="themelist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf))))))).'"><<Назад</a></div>';
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>